/* DeforaOS/Apps/Devel/src/asm/test/yasep.S
   Copyright (c) 2011 Pierre Pronchery <khorben@defora.org>
   Copyright (c) 2011-2012 Yann Guidon <whygee@f-cpu.org>
   This file is part of DeforaOS Devel asm

   Assembly language dump to test the Defora
    assembler for the YASEP architecture.
   Bytes are in little endian order.


   Généré le Thu, 20 Sep 2012 07:34:53 GMT
   par http://127.0.0.1/~yg/index.dev.html#!ISM/LUT8
      yasep/defora/gen_asm.js version 2012/09/20-dev
 */

.text
/* 0x14 = ADD : Addition*/
	add r5 a2               /* FORM_RR     0x14 0x5D               */
	add r5 a2 nz d3         /* FORM_RR     0x17 0x5D 0x20 0xAD     */
	add 6 r1                /* FORM_iR     0x16 0x61               */
	add 6 r1 lsb0 a3        /* FORM_iR     0x17 0x61 0xA2 0xB1     */
	add 19530 a5 r4         /* FORM_IRR    0x15 0x47 0x4A 0x4C     */
	add 885 d2              /* FORM_IR     0x15 0xCC 0x75 0x03     */
	add r3 d3 d5            /* FORM_RRR    0x17 0x3A 0x00 0x06     */
	add r3 d3 d5 msb0 d1    /* FORM_RRR    0x17 0x3A 0xE0 0xE6     */
	add 1 a2 r2             /* FORM_iRR    0x17 0x1D 0x02 0x02     */
	add 1 a2 r2 never       /* FORM_iRR    0x17 0x1D 0x22 0x02     */

/* 0x10 = AND : Boolean AND*/
	and a5 d2               /* FORM_RR     0x10 0x7C               */
	and a5 d2 carry         /* FORM_RR     0x13 0x7C 0x80 0x0C     */
	and 6 a3                /* FORM_iR     0x12 0x6B               */
	and 6 a3 msb0 a5        /* FORM_iR     0x13 0x6B 0xE2 0x7B     */
	and 22572 a2 r5         /* FORM_IRR    0x11 0x5D 0x2C 0x58     */
	and 11897 r5            /* FORM_IR     0x11 0x55 0x79 0x2E     */
	and d2 r1 d5            /* FORM_RRR    0x13 0xC1 0x00 0x06     */
	and d2 r1 d5 carry      /* FORM_RRR    0x13 0xC1 0x80 0x06     */
	and 7 d1 r1             /* FORM_iRR    0x13 0x7E 0x02 0x01     */
	and 7 d1 r1 bit1 10     /* FORM_iRR    0x13 0x7E 0x42 0xA1     */

/* 0x30 = ANDN : Boolean AND with one negated input*/
	andn r4 r3              /* FORM_RR     0x30 0x43               */
	andn r4 r3 neq          /* FORM_RR     0x33 0x43 0xE0 0x03     */
	andn 7 r2               /* FORM_iR     0x32 0x72               */
	andn 7 r2 lsb0 d4       /* FORM_iR     0x33 0x72 0xA2 0x82     */
	andn 22913 a4 d3        /* FORM_IRR    0x31 0xA9 0x81 0x59     */
	andn 22088 a1           /* FORM_IR     0x31 0xFF 0x48 0x56     */
	andn r1 d4 r3           /* FORM_RRR    0x33 0x18 0x00 0x03     */
	andn r1 d4 r3 never     /* FORM_RRR    0x33 0x18 0x20 0x03     */
	andn 1 a5 r2            /* FORM_iRR    0x33 0x17 0x02 0x02     */
	andn 1 a5 r2 lsb0 r3    /* FORM_iRR    0x33 0x17 0xA2 0x32     */

/* 0xC0 = CALL : Jump to SI4/IMM16/IMM20 (R/I/i) and write the NPC to SND*/
	call r4 a2              /* FORM_RR     0xC0 0x4D               */
	call r4 a2 lsb0 d2      /* FORM_RR     0xC3 0x4D 0xA0 0xCD     */
	call 1 a3               /* FORM_iR     0xC2 0x1B               */
	call 1 a3 bit0 5        /* FORM_iR     0xC3 0x1B 0x62 0x5B     */
	call 403489 a2          /* FORM_IR     0xC1 0xD6 0x21 0x28     */

/* 0xE0 = CALL2 : Jump to SND+(SI4/IMM16) and write the NPC to SND/DST3*/
	call2 30809 a2 r5       /* FORM_IRR    0xE1 0x5D 0x59 0x78     */
	call2 d5 a3 r2          /* FORM_RRR    0xE3 0x6B 0x00 0x02     */
	call2 d5 a3 r2 bit1 14  /* FORM_RRR    0xE3 0x6B 0x40 0xE2     */
	call2 5 d2 d4           /* FORM_iRR    0xE3 0x5C 0x02 0x08     */
	call2 5 d2 d4 msb1 a2   /* FORM_iRR    0xE3 0x5C 0xC2 0xD8     */

#if defined(ALLOW_YASEP_ALIASES)
/* 0x54 = CMPE (alias to CMPU) : CoMPare for Equality*/
	cmpe a3 r1              /* FORM_RR     0x54 0xB1               */
	cmpe a3 r1 lsb0 r4      /* FORM_RR     0x57 0xB1 0xA0 0x41     */
	cmpe 4 a2               /* FORM_iR     0x56 0x4D               */
	cmpe 4 a2 carry         /* FORM_iR     0x57 0x4D 0x82 0x0D     */
	cmpe 19300 pc           /* FORM_IR     0x55 0x00 0x64 0x4B     */
#endif

/* 0x74 = CMPS : signed substract the 2 operands and set the Carry bit if borrow*/
	cmps r1 a2              /* FORM_RR     0x74 0x1D               */
	cmps r1 a2 lsb1 r5      /* FORM_RR     0x77 0x1D 0x80 0x5D     */
	cmps 2 a1               /* FORM_iR     0x76 0x2F               */
	cmps 2 a1 zero r3       /* FORM_iR     0x77 0x2F 0x02 0x3F     */
	cmps 18186 d2           /* FORM_IR     0x75 0x0C 0x0A 0x47     */

/* 0x54 = CMPU : unsigned substract the 2 operands and set the Carry bit if borrow*/
	cmpu r1 d4              /* FORM_RR     0x54 0x18               */
	cmpu r1 d4 msb0 d4      /* FORM_RR     0x57 0x18 0xE0 0x88     */
	cmpu 7 pc               /* FORM_iR     0x56 0x70               */
	cmpu 7 pc bit1 11       /* FORM_iR     0x57 0x70 0x42 0xB0     */
	cmpu 13450 r1           /* FORM_IR     0x55 0x01 0x8A 0x34     */

/* 0x20 = CRIT : Start a CRITical section: disable IRQs for imm4 instructions*/
	crit 2                  /* FORM_i      0x22 0x20               */

#if defined(ALLOW_YASEP_ALIASES)
/* 0x68 = ESB (alias to LSB) : Extract and Sign-extend Byte*/
	esb a1 d1               /* FORM_RR     0x68 0xFE               */
	esb a1 d1 neq           /* FORM_RR     0x6B 0xFE 0xE0 0x0E     */
#endif

#if defined(ARCH_yasep32)
#if defined(ALLOW_YASEP_ALIASES)
/* 0xE8 = ESH (alias to LSH) : Extract and Sign-extend Half-word*/
	esh pc d1               /* FORM_RR     0xE8 0x0E               */
	esh pc d1 no_carry      /* FORM_RR     0xEB 0x0E 0xA0 0x0E     */
#endif
#endif

#if defined(ALLOW_YASEP_ALIASES)
/* 0x48 = EZB (alias to LZB) : Extract and Zero-extend Byte*/
	ezb a4 a5               /* FORM_RR     0x48 0x97               */
	ezb a4 a5 never         /* FORM_RR     0x4B 0x97 0x20 0x07     */
#endif

#if defined(ARCH_yasep32)
#if defined(ALLOW_YASEP_ALIASES)
/* 0xC8 = EZH (alias to LZH) : Extract and Zero-extend Half-word*/
	ezh a4 r3               /* FORM_RR     0xC8 0x93               */
	ezh a4 r3 msb0 a3       /* FORM_RR     0xCB 0x93 0xE0 0xB3     */
#endif
#endif

/* 0x40 = GET : Read from the Special Registers space*/
	get a2 pc               /* FORM_RR     0x40 0xD0               */
	get a2 pc zero r4       /* FORM_RR     0x43 0xD0 0x00 0x40     */
	get 3 r4                /* FORM_iR     0x42 0x34               */
	get 3 r4 msb1 a5        /* FORM_iR     0x43 0x34 0xC2 0x74     */
	get 494464 pc           /* FORM_IR     0x41 0x07 0x80 0x8B     */

/* 0x04 = HALT : Stop the core and wait for an interrupt*/
	halt                    /* FORM_ALONE  0x04 0x00               */

#if defined(ALLOW_YASEP_ALIASES)
/* 0x28 = IB (alias to SB) : Insert a byte into a (half)word*/
	ib r3 a3                /* FORM_RR     0x28 0x3B               */
	ib r3 a3 no_carry       /* FORM_RR     0x2B 0x3B 0xA0 0x0B     */
	ib 6 r2                 /* FORM_iR     0x2A 0x62               */
	ib 6 r2 msb0 r4         /* FORM_iR     0x2B 0x62 0xE2 0x42     */
	ib 137 d1               /* FORM_IR     0x29 0xEE 0x89 0x00     */
	ib a1 d1 a5             /* FORM_RRR    0x2B 0xFE 0x00 0x07     */
	ib a1 d1 a5 carry       /* FORM_RRR    0x2B 0xFE 0x80 0x07     */
	ib 6 d5 a2              /* FORM_iRR    0x2B 0x66 0x02 0x0D     */
	ib 6 d5 a2 never        /* FORM_iRR    0x2B 0x66 0x22 0x0D     */
#endif

#if defined(ARCH_yasep32)
#if defined(ALLOW_YASEP_ALIASES)
/* 0x88 = IH (alias to SH) : Insert the imm16/si4 Half-word*/
	ih r5 a2                /* FORM_RR     0x88 0x5D               */
	ih r5 a2 zero r3        /* FORM_RR     0x8B 0x5D 0x00 0x3D     */
	ih 17358 r2             /* FORM_IR     0x89 0x02 0xCE 0x43     */
	ih a4 a2 a5             /* FORM_RRR    0x8B 0x9D 0x00 0x07     */
	ih a4 a2 a5 msb1 a5     /* FORM_RRR    0x8B 0x9D 0xC0 0x77     */
	ih 2 a1 a2              /* FORM_iRR    0x8B 0x2F 0x02 0x0D     */
	ih 2 a1 a2 lsb1 d5      /* FORM_iRR    0x8B 0x2F 0x82 0x6D     */
#endif
#endif

#if defined(ARCH_yasep32)
#if defined(ALLOW_YASEP_ALIASES)
/* 0xA8 = IHH (alias to SHH) : Insert the imm16/si4 Half-word High*/
	ihh a4 a5               /* FORM_RR     0xA8 0x97               */
	ihh a4 a5 no_carry      /* FORM_RR     0xAB 0x97 0xA0 0x07     */
	ihh 7 a3                /* FORM_iR     0xAA 0x7B               */
	ihh 7 a3 eq             /* FORM_iR     0xAB 0x7B 0xC2 0x0B     */
	ihh 3569 pc r1          /* FORM_IRR    0xA9 0x10 0xF1 0x0D     */
	ihh 27844 d2            /* FORM_IR     0xA9 0xCC 0xC4 0x6C     */
	ihh r4 r3 d1            /* FORM_RRR    0xAB 0x43 0x00 0x0E     */
	ihh r4 r3 d1 eq         /* FORM_RRR    0xAB 0x43 0xC0 0x0E     */
	ihh 1 r4 a2             /* FORM_iRR    0xAB 0x14 0x02 0x0D     */
	ihh 1 r4 a2 bit0 7      /* FORM_iRR    0xAB 0x14 0x62 0x7D     */
#endif
#endif

/* 0x80 = IN : Read data from I/O on data bus*/
	in d5 r5                /* FORM_RR     0x80 0x65               */
	in d5 r5 neq            /* FORM_RR     0x83 0x65 0xE0 0x05     */
	in r5 6                 /* FORM_Ri     0x82 0x65               */
	in r5 6 bit0 8          /* FORM_Ri     0x83 0x65 0x62 0x80     */
	in d3 20667             /* FORM_RI     0x81 0x0A 0xBB 0x50     */

/* 0xFC = INV : Forbidden (invalid) opcode*/
	inv                     /* FORM_ALONE  0xFC 0x00               */

/* 0x24 = IPC : InterProcess Call*/
	ipc r5 d5               /* FORM_RR     0x24 0x56               */
	ipc d4 7                /* FORM_Ri     0x26 0x78               */
	ipc d1 8150             /* FORM_RI     0x25 0x0E 0xD6 0x1F     */

/* 0x44 = IPE : InterProcess Entry*/
	ipe pc r1               /* FORM_RR     0x44 0x01               */
	ipe r1 1                /* FORM_Ri     0x46 0x11               */
	ipe r2 26316            /* FORM_RI     0x45 0x02 0xCC 0x66     */

/* 0x64 = IPR : InterProcess Return*/
	ipr d5 a5               /* FORM_RR     0x64 0x67               */
	ipr a4 6                /* FORM_Ri     0x66 0x69               */
	ipr r1 2452             /* FORM_RI     0x65 0x01 0x94 0x09     */

/* 0x68 = LSB : Load and Sign-extend Byte*/
	lsb a4 r1               /* FORM_RR     0x68 0x91               */
	lsb a4 r1 never         /* FORM_RR     0x6B 0x91 0x20 0x01     */

#if defined(ARCH_yasep32)
/* 0xE8 = LSH : Load and Sign-extend Half-word*/
	lsh d1 d2               /* FORM_RR     0xE8 0xEC               */
	lsh d1 d2 lsb1 r2       /* FORM_RR     0xEB 0xEC 0x80 0x2C     */
#endif

/* 0x78 = LUT8 : XOR source register with LookUp Table's contents (1 byte in, 2 or 4 bytes out)*/
	lut8 a3 r4              /* FORM_RR     0x78 0xB4               */
	lut8 a3 r4 lsb0 d2      /* FORM_RR     0x7B 0xB4 0xA0 0xC4     */
	lut8 6 pc               /* FORM_iR     0x7A 0x60               */
	lut8 6 pc bit0 6        /* FORM_iR     0x7B 0x60 0x62 0x60     */
	lut8 76 r1 d3           /* FORM_IRR    0x79 0xA1 0x4C 0x00     */
	lut8 236 r1             /* FORM_IR     0x79 0x11 0xEC 0x00     */
	lut8 a3 d2 r4           /* FORM_RRR    0x7B 0xBC 0x00 0x04     */
	lut8 a3 d2 r4 eq        /* FORM_RRR    0x7B 0xBC 0xC0 0x04     */
	lut8 3 a5 r4            /* FORM_iRR    0x7B 0x37 0x02 0x04     */
	lut8 3 a5 r4 carry      /* FORM_iRR    0x7B 0x37 0x82 0x04     */

/* 0x48 = LZB : Load and Zero-extend Byte*/
	lzb a2 a1               /* FORM_RR     0x48 0xDF               */
	lzb a2 a1 lsb1 a5       /* FORM_RR     0x4B 0xDF 0x80 0x7F     */

#if defined(ARCH_yasep32)
/* 0xC8 = LZH : Load and Zero-extend Half-word*/
	lzh a3 r1               /* FORM_RR     0xC8 0xB1               */
	lzh a3 r1 bit1 9        /* FORM_RR     0xCB 0xB1 0x40 0x91     */
#endif

/* 0x08 = MOV : Write imm16/imm20/si4 to dest*/
	mov d2 d1               /* FORM_RR     0x08 0xCE               */
	mov d2 d1 lsb0 a2       /* FORM_RR     0x0B 0xCE 0xA0 0xDE     */
	mov 7 d2                /* FORM_iR     0x0A 0x7C               */
	mov 7 d2 never          /* FORM_iR     0x0B 0x7C 0x22 0x0C     */
	mov 355571 r3           /* FORM_IR     0x09 0x35 0xF3 0x6C     */

/* 0x38 = MUL8H : Multiply higher byte (unsigned)*/
	mul8h d5 d3             /* FORM_RR     0x38 0x6A               */
	mul8h d5 d3 bit0 4      /* FORM_RR     0x3B 0x6A 0x60 0x4A     */
	mul8h 4 pc              /* FORM_iR     0x3A 0x40               */
	mul8h 4 pc zero d1      /* FORM_iR     0x3B 0x40 0x02 0xE0     */
	mul8h 255 d5 a3         /* FORM_IRR    0x39 0xB6 0xFF 0x00     */
	mul8h 39 r2             /* FORM_IR     0x39 0x22 0x27 0x00     */
	mul8h d1 a1 d4          /* FORM_RRR    0x3B 0xEF 0x00 0x08     */
	mul8h d1 a1 d4 lsb0 d5  /* FORM_RRR    0x3B 0xEF 0xA0 0x68     */
	mul8h 4 a4 d4           /* FORM_iRR    0x3B 0x49 0x02 0x08     */
	mul8h 4 a4 d4 carry     /* FORM_iRR    0x3B 0x49 0x82 0x08     */

/* 0x18 = MUL8L : Multiply lower byte (unsigned)*/
	mul8l d3 a1             /* FORM_RR     0x18 0xAF               */
	mul8l d3 a1 msb0 r3     /* FORM_RR     0x1B 0xAF 0xE0 0x3F     */
	mul8l 2 d4              /* FORM_iR     0x1A 0x28               */
	mul8l 2 d4 eq           /* FORM_iR     0x1B 0x28 0xC2 0x08     */
	mul8l 167 d1 r5         /* FORM_IRR    0x19 0x5E 0xA7 0x00     */
	mul8l 78 r2             /* FORM_IR     0x19 0x22 0x4E 0x00     */
	mul8l a4 r1 d2          /* FORM_RRR    0x1B 0x91 0x00 0x0C     */
	mul8l a4 r1 d2 eq       /* FORM_RRR    0x1B 0x91 0xC0 0x0C     */
	mul8l 5 a2 a1           /* FORM_iRR    0x1B 0x5D 0x02 0x0F     */
	mul8l 5 a2 a1 bit1 13   /* FORM_iRR    0x1B 0x5D 0x42 0xDF     */

/* 0x58 = MULI : Initialize one multiply LUT entry*/
	muli d2 r3              /* FORM_RR     0x58 0xC3               */
	muli 2 d1               /* FORM_iR     0x5A 0x2E               */
	muli 19672 pc           /* FORM_IR     0x59 0x00 0xD8 0x4C     */

/* 0x50 = NAND : Boolean AND with negated output*/
	nand r2 a2              /* FORM_RR     0x50 0x2D               */
	nand r2 a2 bit0 13      /* FORM_RR     0x53 0x2D 0x60 0xDD     */
	nand 4 r1               /* FORM_iR     0x52 0x41               */
	nand 4 r1 bit0 11       /* FORM_iR     0x53 0x41 0x62 0xB1     */
	nand 28373 d5 a1        /* FORM_IRR    0x51 0xF6 0xD5 0x6E     */
	nand 24449 d4           /* FORM_IR     0x51 0x88 0x81 0x5F     */
	nand d3 r4 d2           /* FORM_RRR    0x53 0xA4 0x00 0x0C     */
	nand d3 r4 d2 bit0 2    /* FORM_RRR    0x53 0xA4 0x60 0x2C     */
	nand 2 a4 r2            /* FORM_iRR    0x53 0x29 0x02 0x02     */
	nand 2 a4 r2 msb0 r5    /* FORM_iRR    0x53 0x29 0xE2 0x52     */

#if defined(ALLOW_YASEP_ALIASES)
/* 0x34 = NEG (alias to SUB) : arithmetic negation*/
	neg r3                  /* FORM_R      0x36 0x03               */
	neg r3 nz a5            /* FORM_R      0x37 0x03 0x22 0x73     */
	neg a1 r1               /* FORM_RR     0x37 0x0F 0x02 0x01     */
	neg a1 r1 lsb1 d5       /* FORM_RR     0x37 0x0F 0x82 0x61     */
#endif

/* 0x00 = NOP : Do nothing*/
	nop                     /* FORM_ALONE  0x00 0x00               */

/* 0xB0 = NOR : Boolean OR with negated output*/
	nor a2 d1               /* FORM_RR     0xB0 0xDE               */
	nor a2 d1 msb1 r1       /* FORM_RR     0xB3 0xDE 0xC0 0x1E     */
	nor 5 r4                /* FORM_iR     0xB2 0x54               */
	nor 5 r4 msb1 r5        /* FORM_iR     0xB3 0x54 0xC2 0x54     */
	nor 9648 r5 r3          /* FORM_IRR    0xB1 0x35 0xB0 0x25     */
	nor 17864 a4            /* FORM_IR     0xB1 0x99 0xC8 0x45     */
	nor pc d5 d4            /* FORM_RRR    0xB3 0x06 0x00 0x08     */
	nor pc d5 d4 msb0 a1    /* FORM_RRR    0xB3 0x06 0xE0 0xF8     */
	nor 4 a1 r4             /* FORM_iRR    0xB3 0x4F 0x02 0x04     */
	nor 4 a1 r4 nz a3       /* FORM_iRR    0xB3 0x4F 0x22 0xB4     */

#if defined(ALLOW_YASEP_ALIASES)
/* 0x90 = NOT (alias to ORN) : Boolean negation (alias to ORN)*/
	not d2                  /* FORM_R      0x92 0x0C               */
	not d2 no_carry         /* FORM_R      0x93 0x0C 0xA2 0x0C     */
	not d2 a4               /* FORM_RR     0x93 0x0C 0x02 0x09     */
	not d2 a4 neq           /* FORM_RR     0x93 0x0C 0xE2 0x09     */
#endif

/* 0x70 = OR : Boolean OR*/
	or r2 r1                /* FORM_RR     0x70 0x21               */
	or r2 r1 bit0 12        /* FORM_RR     0x73 0x21 0x60 0xC1     */
	or 2 a2                 /* FORM_iR     0x72 0x2D               */
	or 2 a2 lsb1 a2         /* FORM_iR     0x73 0x2D 0x82 0xDD     */
	or 14153 r2 a1          /* FORM_IRR    0x71 0xF2 0x49 0x37     */
	or 26826 a4             /* FORM_IR     0x71 0x99 0xCA 0x68     */
	or a1 r2 r3             /* FORM_RRR    0x73 0xF2 0x00 0x03     */
	or a1 r2 r3 lsb0 d1     /* FORM_RRR    0x73 0xF2 0xA0 0xE3     */
	or 3 r3 r1              /* FORM_iRR    0x73 0x33 0x02 0x01     */
	or 3 r3 r1 bit0 2       /* FORM_iRR    0x73 0x33 0x62 0x21     */

/* 0x90 = ORN : Boolean OR with one negated input*/
	orn r4 a4               /* FORM_RR     0x90 0x49               */
	orn r4 a4 neq           /* FORM_RR     0x93 0x49 0xE0 0x09     */
	orn 4 a4                /* FORM_iR     0x92 0x49               */
	orn 4 a4 neq            /* FORM_iR     0x93 0x49 0xE2 0x09     */
	orn 28537 d3 d1         /* FORM_IRR    0x91 0xEA 0x79 0x6F     */
	orn 28339 a1            /* FORM_IR     0x91 0xFF 0xB3 0x6E     */
	orn r2 r4 a1            /* FORM_RRR    0x93 0x24 0x00 0x0F     */
	orn r2 r4 a1 no_carry   /* FORM_RRR    0x93 0x24 0xA0 0x0F     */
	orn 3 d4 r3             /* FORM_iRR    0x93 0x38 0x02 0x03     */
	orn 3 d4 r3 nz d5       /* FORM_iRR    0x93 0x38 0x22 0x63     */

/* 0xA0 = OUT : Send data to I/O on the address bus*/
	out d3 r3               /* FORM_RR     0xA0 0xA3               */
	out r2 6                /* FORM_Ri     0xA2 0x62               */
	out r2 28374            /* FORM_RI     0xA1 0x02 0xD6 0x6E     */

/* 0x60 = PUT : Write to the Special Registers space*/
	put a1 r5               /* FORM_RR     0x60 0xF5               */
	put pc 6                /* FORM_Ri     0x62 0x60               */
	put d2 30391            /* FORM_RI     0x61 0x0C 0xB7 0x76     */

/* 0x8C = ROL : ROtate Left*/
	rol d4 a4               /* FORM_RR     0x8C 0x89               */
	rol d4 a4 neq           /* FORM_RR     0x8F 0x89 0xE0 0x09     */
	rol 2 a2                /* FORM_iR     0x8E 0x2D               */
	rol 2 a2 bit1 12        /* FORM_iR     0x8F 0x2D 0x42 0xCD     */
	rol 30 d4 d3            /* FORM_IRR    0x8D 0xA8 0x1E 0x00     */
	rol 29 r5               /* FORM_IR     0x8D 0x55 0x1D 0x00     */
	rol d4 r4 r2            /* FORM_RRR    0x8F 0x84 0x00 0x02     */
	rol d4 r4 r2 bit0 7     /* FORM_RRR    0x8F 0x84 0x60 0x72     */
	rol 4 r1 a4             /* FORM_iRR    0x8F 0x41 0x02 0x09     */
	rol 4 r1 a4 never       /* FORM_iRR    0x8F 0x41 0x22 0x09     */

/* 0x6C = ROR : ROtate Right*/
	ror a5 r4               /* FORM_RR     0x6C 0x74               */
	ror a5 r4 bit0 13       /* FORM_RR     0x6F 0x74 0x60 0xD4     */
	ror 2 r4                /* FORM_iR     0x6E 0x24               */
	ror 2 r4 carry          /* FORM_iR     0x6F 0x24 0x82 0x04     */
	ror 29 a5 r3            /* FORM_IRR    0x6D 0x37 0x1D 0x00     */
	ror 18 r2               /* FORM_IR     0x6D 0x22 0x12 0x00     */
	ror d3 d5 a3            /* FORM_RRR    0x6F 0xA6 0x00 0x0B     */
	ror d3 d5 a3 never      /* FORM_RRR    0x6F 0xA6 0x20 0x0B     */
	ror 4 d3 d2             /* FORM_iRR    0x6F 0x4A 0x02 0x0C     */
	ror 4 d3 d2 lsb1 r4     /* FORM_iRR    0x6F 0x4A 0x82 0x4C     */

/* 0x2C = SAR : Shift Arithmetic Right*/
	sar a3 d5               /* FORM_RR     0x2C 0xB6               */
	sar a3 d5 no_carry      /* FORM_RR     0x2F 0xB6 0xA0 0x06     */
	sar 7 d2                /* FORM_iR     0x2E 0x7C               */
	sar 7 d2 bit0 12        /* FORM_iR     0x2F 0x7C 0x62 0xCC     */
	sar 26 r2 d3            /* FORM_IRR    0x2D 0xA2 0x1A 0x00     */
	sar 26 pc               /* FORM_IR     0x2D 0x00 0x1A 0x00     */
	sar a5 d2 d3            /* FORM_RRR    0x2F 0x7C 0x00 0x0A     */
	sar a5 d2 d3 carry      /* FORM_RRR    0x2F 0x7C 0x80 0x0A     */
	sar 1 r1 r3             /* FORM_iRR    0x2F 0x11 0x02 0x03     */
	sar 1 r1 r3 never       /* FORM_iRR    0x2F 0x11 0x22 0x03     */

/* 0x28 = SB : Store the imm16/si4 Byte*/
	sb a2 pc                /* FORM_RR     0x28 0xD0               */
	sb a2 pc neq            /* FORM_RR     0x2B 0xD0 0xE0 0x00     */
	sb 3 r1                 /* FORM_iR     0x2A 0x31               */
	sb 3 r1 msb0 r1         /* FORM_iR     0x2B 0x31 0xE2 0x11     */
	sb 205 pc               /* FORM_IR     0x29 0x00 0xCD 0x00     */
	sb r2 a4 d4             /* FORM_RRR    0x2B 0x29 0x00 0x08     */
	sb r2 a4 d4 neq         /* FORM_RRR    0x2B 0x29 0xE0 0x08     */
	sb 1 d2 d1              /* FORM_iRR    0x2B 0x1C 0x02 0x0E     */
	sb 1 d2 d1 bit0 1       /* FORM_iRR    0x2B 0x1C 0x62 0x1E     */

#if defined(ARCH_yasep32)
/* 0x88 = SH : Store the imm16/si4 Half-word*/
	sh d4 a3                /* FORM_RR     0x88 0x8B               */
	sh d4 a3 neq            /* FORM_RR     0x8B 0x8B 0xE0 0x0B     */
	sh 4 d3                 /* FORM_iR     0x8A 0x4A               */
	sh 4 d3 bit1 2          /* FORM_iR     0x8B 0x4A 0x42 0x2A     */
	sh 18720 d1 a1          /* FORM_IRR    0x89 0xFE 0x20 0x49     */
	sh 16565 d3             /* FORM_IR     0x89 0xAA 0xB5 0x40     */
	sh r3 r4 a2             /* FORM_RRR    0x8B 0x34 0x00 0x0D     */
	sh r3 r4 a2 nz a3       /* FORM_RRR    0x8B 0x34 0x20 0xBD     */
	sh 3 d4 a4              /* FORM_iRR    0x8B 0x38 0x02 0x09     */
	sh 3 d4 a4 bit1 10      /* FORM_iRR    0x8B 0x38 0x42 0xA9     */
#endif

#if defined(ARCH_yasep32)
/* 0xA8 = SHH : Store the imm16/si4 Half-word High*/
	shh a1 d3               /* FORM_RR     0xA8 0xFA               */
	shh a1 d3 carry         /* FORM_RR     0xAB 0xFA 0x80 0x0A     */
	shh 5 a2                /* FORM_iR     0xAA 0x5D               */
	shh 5 a2 msb1 d2        /* FORM_iR     0xAB 0x5D 0xC2 0xCD     */
	shh 10217 d1 a3         /* FORM_IRR    0xA9 0xBE 0xE9 0x27     */
	shh 18102 a2            /* FORM_IR     0xA9 0xDD 0xB6 0x46     */
	shh r3 pc r2            /* FORM_RRR    0xAB 0x30 0x00 0x02     */
	shh r3 pc r2 eq         /* FORM_RRR    0xAB 0x30 0xC0 0x02     */
	shh 3 a3 a4             /* FORM_iRR    0xAB 0x3B 0x02 0x09     */
	shh 3 a3 a4 lsb1 d5     /* FORM_iRR    0xAB 0x3B 0x82 0x69     */
#endif

/* 0x4C = SHL : SHift logic Left*/
	shl r2 r1               /* FORM_RR     0x4C 0x21               */
	shl r2 r1 zero r1       /* FORM_RR     0x4F 0x21 0x00 0x11     */
	shl 7 d3                /* FORM_iR     0x4E 0x7A               */
	shl 7 d3 nz d4          /* FORM_iR     0x4F 0x7A 0x22 0x8A     */
	shl 22 a2 d1            /* FORM_IRR    0x4D 0xED 0x16 0x00     */
	shl 23 a2               /* FORM_IR     0x4D 0xDD 0x17 0x00     */
	shl d3 a3 r3            /* FORM_RRR    0x4F 0xAB 0x00 0x03     */
	shl d3 a3 r3 no_carry   /* FORM_RRR    0x4F 0xAB 0xA0 0x03     */
	shl 1 d4 r2             /* FORM_iRR    0x4F 0x18 0x02 0x02     */
	shl 1 d4 r2 never       /* FORM_iRR    0x4F 0x18 0x22 0x02     */

/* 0x0C = SHR : SHift logic Right*/
	shr r4 d4               /* FORM_RR     0x0C 0x48               */
	shr r4 d4 carry         /* FORM_RR     0x0F 0x48 0x80 0x08     */
	shr 4 pc                /* FORM_iR     0x0E 0x40               */
	shr 4 pc bit0 11        /* FORM_iR     0x0F 0x40 0x62 0xB0     */
	shr 27 d1 d4            /* FORM_IRR    0x0D 0x8E 0x1B 0x00     */
	shr 18 d2               /* FORM_IR     0x0D 0xCC 0x12 0x00     */
	shr d1 r3 pc            /* FORM_RRR    0x0F 0xE3 0x00 0x00     */
	shr d1 r3 pc no_carry   /* FORM_RRR    0x0F 0xE3 0xA0 0x00     */
	shr 6 d4 r4             /* FORM_iRR    0x0F 0x68 0x02 0x04     */
	shr 6 d4 r4 eq          /* FORM_iRR    0x0F 0x68 0xC2 0x04     */

/* 0xF4 = SMAX : Set dest to imm16/si4 if snd's value is greater (signed) than imm16/si4*/
	smax a2 a3              /* FORM_RR     0xF4 0xDB               */
	smax a2 a3 msb1 r1      /* FORM_RR     0xF7 0xDB 0xC0 0x1B     */
	smax 6 r4               /* FORM_iR     0xF6 0x64               */
	smax 6 r4 msb1 r3       /* FORM_iR     0xF7 0x64 0xC2 0x34     */
	smax 4324 a1 a2         /* FORM_IRR    0xF5 0xDF 0xE4 0x10     */
	smax 29713 r2           /* FORM_IR     0xF5 0x22 0x11 0x74     */
	smax r2 a2 d5           /* FORM_RRR    0xF7 0x2D 0x00 0x06     */
	smax r2 a2 d5 lsb1 d5   /* FORM_RRR    0xF7 0x2D 0x80 0x66     */
	smax 1 r5 d1            /* FORM_iRR    0xF7 0x15 0x02 0x0E     */
	smax 1 r5 d1 neq        /* FORM_iRR    0xF7 0x15 0xE2 0x0E     */

/* 0xD4 = SMIN : Set dest to imm16/si4 if snd's value is less (signed) than imm16/si4*/
	smin a5 a1              /* FORM_RR     0xD4 0x7F               */
	smin a5 a1 bit1 1       /* FORM_RR     0xD7 0x7F 0x40 0x1F     */
	smin 1 a4               /* FORM_iR     0xD6 0x19               */
	smin 1 a4 msb1 a3       /* FORM_iR     0xD7 0x19 0xC2 0xB9     */
	smin 29940 a4 d5        /* FORM_IRR    0xD5 0x69 0xF4 0x74     */
	smin 9902 a5            /* FORM_IR     0xD5 0x77 0xAE 0x26     */
	smin r3 d1 a5           /* FORM_RRR    0xD7 0x3E 0x00 0x07     */
	smin r3 d1 a5 no_carry  /* FORM_RRR    0xD7 0x3E 0xA0 0x07     */
	smin 7 r5 d4            /* FORM_iRR    0xD7 0x75 0x02 0x08     */
	smin 7 r5 d4 lsb0 r3    /* FORM_iRR    0xD7 0x75 0xA2 0x38     */

/* 0x34 = SUB : Substraction*/
	sub r5 d4               /* FORM_RR     0x34 0x58               */
	sub r5 d4 bit1 15       /* FORM_RR     0x37 0x58 0x40 0xF8     */
	sub 6 d3                /* FORM_iR     0x36 0x6A               */
	sub 6 d3 eq             /* FORM_iR     0x37 0x6A 0xC2 0x0A     */
	sub 9211 d2 r2          /* FORM_IRR    0x35 0x2C 0xFB 0x23     */
	sub 8341 a2             /* FORM_IR     0x35 0xDD 0x95 0x20     */
	sub a4 pc r4            /* FORM_RRR    0x37 0x90 0x00 0x04     */
	sub a4 pc r4 never      /* FORM_RRR    0x37 0x90 0x20 0x04     */
	sub 3 d5 r5             /* FORM_iRR    0x37 0x36 0x02 0x05     */
	sub 3 d5 r5 no_carry    /* FORM_iRR    0x37 0x36 0xA2 0x05     */

/* 0xB4 = UMAX : Set dest to imm16/si4 if snd's value is greater (unsigned) than imm16/si4*/
	umax pc a5              /* FORM_RR     0xB4 0x07               */
	umax pc a5 bit0 8       /* FORM_RR     0xB7 0x07 0x60 0x87     */
	umax 7 a2               /* FORM_iR     0xB6 0x7D               */
	umax 7 a2 zero d1       /* FORM_iR     0xB7 0x7D 0x02 0xED     */
	umax 22393 a5 r1        /* FORM_IRR    0xB5 0x17 0x79 0x57     */
	umax 16710 r1           /* FORM_IR     0xB5 0x11 0x46 0x41     */
	umax a5 r3 r1           /* FORM_RRR    0xB7 0x73 0x00 0x01     */
	umax a5 r3 r1 msb1 r4   /* FORM_RRR    0xB7 0x73 0xC0 0x41     */
	umax 5 a1 pc            /* FORM_iRR    0xB7 0x5F 0x02 0x00     */
	umax 5 a1 pc lsb1 r5    /* FORM_iRR    0xB7 0x5F 0x82 0x50     */

/* 0x94 = UMIN : Set dest to imm16/si4 if snd's value is less (unsigned) than imm16/si4*/
	umin d3 a1              /* FORM_RR     0x94 0xAF               */
	umin d3 a1 lsb1 d5      /* FORM_RR     0x97 0xAF 0x80 0x6F     */
	umin 3 pc               /* FORM_iR     0x96 0x30               */
	umin 3 pc msb0 r4       /* FORM_iR     0x97 0x30 0xE2 0x40     */
	umin 3146 d4 d1         /* FORM_IRR    0x95 0xE8 0x4A 0x0C     */
	umin 26103 r3           /* FORM_IR     0x95 0x33 0xF7 0x65     */
	umin r4 a1 pc           /* FORM_RRR    0x97 0x4F 0x00 0x00     */
	umin r4 a1 pc eq        /* FORM_RRR    0x97 0x4F 0xC0 0x00     */
	umin 1 a3 r2            /* FORM_iRR    0x97 0x1B 0x02 0x02     */
	umin 1 a3 r2 eq         /* FORM_iRR    0x97 0x1B 0xC2 0x02     */

/* 0xD0 = XOR : Boolean XOR*/
	xor d2 a4               /* FORM_RR     0xD0 0xC9               */
	xor d2 a4 msb1 d5       /* FORM_RR     0xD3 0xC9 0xC0 0x69     */
	xor 7 a5                /* FORM_iR     0xD2 0x77               */
	xor 7 a5 eq             /* FORM_iR     0xD3 0x77 0xC2 0x07     */
	xor 8648 d3 r1          /* FORM_IRR    0xD1 0x1A 0xC8 0x21     */
	xor 24915 a5            /* FORM_IR     0xD1 0x77 0x53 0x61     */
	xor a2 a1 a5            /* FORM_RRR    0xD3 0xDF 0x00 0x07     */
	xor a2 a1 a5 eq         /* FORM_RRR    0xD3 0xDF 0xC0 0x07     */
	xor 7 r1 r3             /* FORM_iRR    0xD3 0x71 0x02 0x03     */
	xor 7 r1 r3 lsb0 a1     /* FORM_iRR    0xD3 0x71 0xA2 0xF3     */

/* 0xF0 = XORN : Boolean XOR with negated output*/
	xorn d4 r5              /* FORM_RR     0xF0 0x85               */
	xorn d4 r5 never        /* FORM_RR     0xF3 0x85 0x20 0x05     */
	xorn 6 a5               /* FORM_iR     0xF2 0x67               */
	xorn 6 a5 lsb1 r5       /* FORM_iR     0xF3 0x67 0x82 0x57     */
	xorn 29073 a5 a2        /* FORM_IRR    0xF1 0xD7 0x91 0x71     */
	xorn 12284 r5           /* FORM_IR     0xF1 0x55 0xFC 0x2F     */
	xorn a2 r3 r5           /* FORM_RRR    0xF3 0xD3 0x00 0x05     */
	xorn a2 r3 r5 neq       /* FORM_RRR    0xF3 0xD3 0xE0 0x05     */
	xorn 5 pc d3            /* FORM_iRR    0xF3 0x50 0x02 0x0A     */
	xorn 5 pc d3 msb0 d5    /* FORM_iRR    0xF3 0x50 0xE2 0x6A     */

